<?php
/*********************************************
Description: Processa página inicial
File: /includes/pg.recuperar-password.php
Project: Basikus
Developers: João Vieira
Start Date: 2009/12/21
*********************************************/

if ( (int) $_SESSION['sessao_user_id'] < 1 ) header('Location: /');

$fieldSenha = "";
$fieldEmail = "";

$smartyPg->assign('infoMensagem', "");

if (isset($_POST['btAlterar'])) {
    $fieldSenha     = $_POST['bxSenha'];
    $sqlStmt = "
	UPDATE utilizadores
	SET senha = '" . md5($pwdWord . $fieldSenha) . "'
	WHERE id LIKE '" . $_SESSION['sessao_user_id'] . "'
	AND estado = 'SIM'";
    if ( strlen($fieldSenha) > 3 ) {
	$resultDb   = $connectDb->pedido($sqlStmt);
	$smartyPg->assign('infoMensagem', "SUCESSO");
    }else $smartyPg->assign('infoMensagem', "ERRO");
}


if(!$smartyPg->is_cached($strPagina . ".html", $strPagina)){

    //meta tags

    $paginaTitle		= "Alterar Perfil";
    $paginaKeywords		= "sport, golf, alterar, senha, password";
    $paginaDescription		= "Local para alterar senha/password no Sport golf.";


}
?>